%define module_name cdfs
%define module_source %module_name-%version.tar.bz2
%define module_source_dir %module_name-%version

Name: kernel-source-%module_name
Version: 2.6.19
Release: alt1

Summary: Linux %module_name modules sources
License: GPL
Group: Development/Kernel
BuildArch: noarch

Url: http://www.elis.ugent.be/~ronsse/cdfs/
Source0: %module_source
Patch1: %module_name-2.6.3-alt-cdfs.h-fixes.patch
Patch2: %module_name-2.6.3-alt-get_seconds.patch

BuildPreReq: kernel-build-tools >= 0.1-alt3

%package -n kernel-doc-%module_name
Version: %version
Summary: Linux %module_name modules documentation
Group: Development/Kernel

%description
CDfs is a file system that `exports' all tracks and boot images on a CD
as normal files.
This package contains sources for cdfs kernel module.

%description -n kernel-doc-%module_name
%module_name modules documentation for Linux kernel

%prep
%setup -n %module_source_dir
%patch1 -p1
%patch2 -p1

%install
%__mkdir_p %buildroot%kernel_src

%__mkdir_p %buildroot%_defaultdocdir/%module_name-doc-%version
%__mv INSTALL %module_name.html \
    %buildroot%_defaultdocdir/%module_name-doc-%version

cd ..
%__mv %module_source_dir kernel-source-%module_name-%version
%__tar -c kernel-source-%module_name-%version | bzip2 -c > \
    %buildroot%kernel_src/kernel-source-%module_name-%version.tar.bz2
%__rm -fr kernel-source-%module_name-%version

%files
%kernel_src/kernel-source-%module_name-%version.tar.bz2

%files -n kernel-doc-%module_name
%doc %_defaultdocdir/%module_name-doc-%version 

%changelog
* Tue Jan 09 2007 Andrey Rahmatullin <wrar@altlinux.ru> 2.6.19-alt1
- 2.6.19

* Tue Jul 05 2005 Andrey Rahmatullin <wrar@altlinux.ru> 2.6.12-alt1
- 2.6.12

* Sat May 14 2005 Andrey Rahmatullin <wrar@altlinux.ru> 2.6.10-alt1
- 2.6.10
- move patch2 here from ALT Kernel CVS
- add Url:

* Fri May 14 2004 Andrey Rahmatullin <wrar@altlinux.ru> 2.6.3-alt2
- fix BuildReqs

* Tue Apr 06 2004 Andrey Rahmatullin <wrar@altlinux.ru> 2.6.3-alt1
- new version, 2.6 support 
- spec changes

* Fri Nov 14 2003 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.20a-alt1
- initial build
